Subject: [PATCH v2] doc: restore: remove note on --patch w/ pathspecs

From: "Adam Johnson via GitGitGadget" <[email-masked]>
Date: Thu, 01 Jun 2023 21:14:57 +0000

From: Adam Johnson <[email-masked]>

This note was added with the restore command docs in 46e91b663b
(checkout: split part of it to new command 'restore', 2019-04-25), but it is
now inaccurate. The underlying builtin `add -i` implementation, made default
in 0527ccb1b5 (add -i: default to the built-in implementation, 2021-11-30),
supports pathspecs, so `git restore -p <pathspec>...` has worked for all
users since then. I bisected to verify this was the commit that added
support.

Signed-off-by: Adam Johnson <[email-masked]>
---
    doc: restore: remove note on --patch w/ pathspecs
    
    This note was added with the command in 46e91b663b, but it is now
    inaccurate. The underlying builtin add -i implementation, made default
    in 0527ccb1b5, does support pathspecs, so git restore -p <pathspec>...
    has worked for all users since then. I bisected to verify this.

Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-git-1504%2Fadamchainz%2Faj%2Fgit-restore-patch-docs-fix-v2
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-git-1504/adamchainz/aj/git-restore-patch-docs-fix-v2
Pull-Request: https://github.com/git/git/pull/1504

Range-diff vs v1:

 1:  784143b9949 ! 1:  556f4323ce6 doc: restore: remove note on --patch w/ pathspecs
     @@ Metadata
       ## Commit message ##
          doc: restore: remove note on --patch w/ pathspecs
      
     -    This note was added with the command in 46e91b663b (checkout: split part of
     -    it to new command 'restore', 2019-04-25), but it is now inaccurate. The
     -    underlying builtin `add -i` implementation, made default in 0527ccb1b5 (add
     -    -i: default to the built-in implementation, 2021-11-30), supports pathspecs,
     -    so `git restore -p <pathspec>...` has worked for all users since then. I
     -    bisected to verify this was the commit that added support.
     +    This note was added with the restore command docs in 46e91b663b
     +    (checkout: split part of it to new command 'restore', 2019-04-25), but it is
     +    now inaccurate. The underlying builtin `add -i` implementation, made default
     +    in 0527ccb1b5 (add -i: default to the built-in implementation, 2021-11-30),
     +    supports pathspecs, so `git restore -p <pathspec>...` has worked for all
     +    users since then. I bisected to verify this was the commit that added
     +    support.
      
          Signed-off-by: Adam Johnson <[email-masked]>

 Documentation/git-restore.txt | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/Documentation/git-restore.txt b/Documentation/git-restore.txt
index 5964810caa4..d31a06a673e 100644
--- a/Documentation/git-restore.txt
+++ b/Documentation/git-restore.txt
@@ -51,9 +51,6 @@ leave out at most one of `A` and `B`, in which case it defaults to `HEAD`.
 	restore source and the restore location. See the ``Interactive
 	Mode'' section of linkgit:git-add[1] to learn how to operate
 	the `--patch` mode.
-+
-Note that `--patch` can accept no pathspec and will prompt to restore
-all modified paths.
 
 -W::
 --worktree::

base-commit: f285f68a132109c234d93490671c00218066ace9
-- 
gitgitgadget